{ preparePort, nixpkgs }:

preparePort {
  inherit (nixpkgs.zlib) name src;
  outputs = [ "dev" ];
  VERSION = nixpkgs.zlib.version;

  buildPhase =
    ''
      mkdir -p $pkgconfigdir
      substituteAllInPlace zlib.pc.in
      sed \
        -e "s|Libs:.*|Libs: -l:zlib.lib.so|" \
        -e "/@/d" \
        < zlib.pc.in > $pkgconfigdir/zlib.pc
    '';

  installPhase =
    ''
      mkdir -p $includedir
      cp *.h $includedir
    '';
}
