{ stdenvNoCC, lib, fetchFromGitHub }:

stdenvNoCC.mkDerivation {
  name = "dhall-prelude";
  version = "9.0.0";

  src = fetchFromGitHub {
    owner = "dhall-lang";
    repo = "dhall-lang";
    rev = "6cbf57c946e7e6576babc23a38320e53ecfa6bee";
    sha256 = "1r06fijszyifq5b4j6libwkm06g8693m9n5c4kq61dvzrjfd2gim";
  };

  phases = [ "unpackPhase" "installPhase" ];

  installPhase = ''
    cp -r Prelude $out
  '';

  meta = {
    license = lib.licenses.bsd3;
    maintainers = with lib.maintainers; [ ehmry ];
  };
}
